﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using IgDemos.Models;
using System.Collections.ObjectModel;

namespace IgDemos
{
    public partial class MainPage : UserControl
    {
        private ObservableCollection<NodeItem> _treeItemsSource;
        public MainPage()
        {
            InitializeComponent();
            Loaded += new RoutedEventHandler(MainPage_Loaded);
        }

        void MainPage_Loaded(object sender, RoutedEventArgs e)
        {
            this.XamTreeH.ItemsSource = TreeItemsSource;
        }

        public ObservableCollection<NodeItem> TreeItemsSource
        {
            get
            {
                if (this._treeItemsSource == null) this._treeItemsSource = NodeItem.GetItems();
                return this._treeItemsSource;
            }
        }

        private void btnChangeSomeRoot_Click(object sender, RoutedEventArgs e)
        {
            this.TreeItemsSource[1].DisplayName = "Dinamycally changed";
        }

        private void btnChangeChild_Click(object sender, RoutedEventArgs e)
        {
            this.TreeItemsSource[1].MyChildren[1].DisplayName = "Dinamycally changed";
        }

        private void btnMoveChild_Click(object sender, RoutedEventArgs e)
        {
            NodeItem nItem = this.TreeItemsSource[1].MyChildren[1];
            nItem.ParentId = this.TreeItemsSource[0].Id;
            this.TreeItemsSource[1].MyChildren.Remove(nItem);
            this.TreeItemsSource[0].MyChildren.Add(nItem);
        }
    }
}
